Bug 784457 - Review Request: systemd-ui - UI Tools for systemd
Review Request: systemd-ui - UI Tools for systemd
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Schmidt
Fedora Extras Quality Assurance
: 697188 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-01-24 20:33 EST by Lennart Poettering
Modified: 2012-08-10 09:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-10 09:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mschmidt: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2012-01-24 20:33:35 EST
Spec URL: http://people.freedesktop.org/~kay/systemd-ui.spec
SRPM URL: http://people.freedesktop.org/~kay/systemd-ui-0-1.fc17.src.rpm
Description: Graphical frontend for systemd

We recently split off the Gtk UI tools that were previously included in the main systemd tarball into a tarball of its own, and we'd like to
Comment 1 Michal Schmidt 2012-01-26 18:54:42 EST
The package does not build in Rawhide, due to libgee -> libgee06 renaming.
It builds in F-16.

Review Guidelines:

[ok]  rpmlint:
$ rpmlint /var/lib/mock/fedora-16-x86_64/result/*.rpm
systemd-ui.x86_64: W: no-manual-page-for-binary systemd-gnome-ask-password-agent
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
[ok] package name
[ok] spec name matches package name
Packaging Guidelines:
  [ok] naming
  [ok] version and release
  [ok] licensing
       The tarball contains no license text in its own file.
       Upstream should want to correct this.
  [ok] no pre-built binaries
  [ok] spec legible
  [ok] all archs supported
  [ok] fs layout
  [ok] changelog
  [ok] tags
  [ok] BuildRoot is implicit
  [ok] %clean is implicit
  [ok] no unnecessary Requires
  [ok] BuildRequires (build succeeds in mock)
  [BAD] Summary is good, but %description should be expanded somewhat.
  [ok] encoding
  [ok] documentation (one manpage)
  [ok] compiler flags
  [ok] debuginfo
  [ok] devel packages (none)
  [ok] shared libraries (none)
  [ok] no static libraries
  [ok] no duplication of system libraries
  [ok] no rpath
  [ok] config files (none)
  [ok] systemd (no units)
  [BAD] GUI application has no .desktop file
  [ok] macros
  [ok] locale files (none)
  [ok] parallel make
  [ok] scriptlets (none)
  [ok] conditional deps (none)
  [ok] not a relocatable package
  [ok] code vs content
  [ok] file&dir ownership
  [ok] users&groups (none)
  [ok] web apps (none)
  [ok] no conflicts
  [ok] no kernel modules
  [ok] nothing under /srv
  [ok] no bundling
  [ok] patches (none)
  [ok] Epoch (none)
  [ok] symlinks (none)
  [ok] manpages
       systemd-gnome-ask-password-agent does not have one, but that's not
       a blocker.
  [ok] test suites (none)
  [ok] tmpfiles.d (none)
  [ok] renaming/replacing
       Both Provides: and Obsoletes: systemd-gtk
       Just remember to increase the declared version.
[ok] approved license (GPLv2+)
[ok] license matches
[ok] American English
[ok] upstream source tarball
     6f3b2ff28fce99d1fdebda54398b98cc  systemd-ui-0.tar.xz
[ok] sane file permissions
[ok] no *.la
Comment 2 Michal Schmidt 2012-02-27 09:22:08 EST
*** Bug 697188 has been marked as a duplicate of this bug. ***
Comment 3 Christoph Wickert 2012-02-27 09:37:41 EST
If something BuildRequires libnotify, you propably want to "desktop-notification-daemon" (this is a virtual provides provided by gnome-shell, kdebase-workspace, notification-daemon and xfce4-notifyd) in order to actually display notifications. I also *guess* dbus or dbus-x11 are required as well, could be?
Comment 4 Christoph Wickert 2012-02-27 10:06:29 EST
(In reply to comment #3)
> you propably want to  "desktop-notification-daemon"

Should read "you probably want to require desktop-notification-daemon"

BTW: I think the category should be "Applications/System" or "User Interface/X" rather than "System Environment/Base". Not that it really matters, but GUI stuff usually is not "Base".
Comment 6 Michal Schmidt 2012-03-18 14:34:22 EDT
Looks good now. Just remember to update the version of systemd-gtk that is provided/obsoleted to the latest one.

Package approved.

Proceed with a SCM request:
Comment 7 Kay Sievers 2012-03-18 14:44:25 EDT
New Package SCM Request
Package Name: systemd-ui
Short Description: Graphical front-end for systemd
Owners: systemd-maint
Comment 8 Jon Ciesla 2012-03-19 07:57:53 EDT
systemd-maint is not a FAS user.
Comment 9 Kay Sievers 2012-03-19 08:19:30 EDT
This is really not obvious, why this should not work.

Our group 'systemd-maint' is the default owner for 'systemd', and we would like
to use the same for 'systemd-ui':

If that does not work, and it needs to be a real person, please use 'lennart'.


New Package SCM Request
Package Name: systemd-ui
Short Description: Graphical front-end for systemd
Owners: lennart
Comment 10 Jon Ciesla 2012-03-19 08:29:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.